Bug 1463831 - [RFE] katello-restore should offer an option --skip-pulp-content
[RFE] katello-restore should offer an option --skip-pulp-content
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore (Show other bugs)
6.2.10
Unspecified Unspecified
medium Severity medium with 1 vote (vote)
: Unspecified
: --
Assigned To: Chris Roberts
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 16:31 EDT by Paul Armstrong
Modified: 2018-03-29 10:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-29 10:13:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21240 None None None 2017-10-09 04:30 EDT

  None (edit)
Description Paul Armstrong 2017-06-21 16:31:43 EDT
Description of problem:

katello-restore --skip-pulp-content 
 
should be a valid option, then the next scheduled sync or a manual sync should rebuild the contents of /var/lib/pulp appropriately.

Version-Release number of selected component (if applicable):
6.2.10


How reproducible:
Always

Steps to Reproduce:
1. katello-restore does not offer this option
2.
3.

Actual results:

katello-restore does not offer this option

Expected results:

Regardless of whether backups include pulp content or not, katello-restore should allow the user the option to skip the requirement to restore the pulp-content. If --skip-pulp-content is used, then the next scheduled sync or manual sync should rebuild the contents of /var/lib/pulp appropriately.


Additional info:
This greatly alleviates backup window and backup volume issues with larger deployments and depending on the customer may decrease recovery time. 

This would likely then require full resyncs of downstream systems like... capsules...
Comment 4 Chris Roberts 2018-03-29 10:13:00 EDT
Fixed in Upstream, should be in 6.4

Note You need to log in before you can comment on or make changes to this bug.